This queue is for tickets about the Perl6-Export-Attrs CPAN distribution.

Report information
The Basics
Id:
107603
Status:
open
Priority:
Low/Low

People
Owner:
Nobody in particular
Requestors:
POWERMAN [...] cpan.org
ether [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
  • 0.000004
  • 0.000005
  • 0.000006
Fixed in:
(no value)



Subject: PadWalker dependency
Please add PadWalker to {Makefile,Build}.PL as dependency. Building and testing Perl6-Export-Attrs-0.000004 Building Perl6-Export-Attrs # Failed test 'use Perl6::Export::Attrs;' # at t/00.load.t line 4. # Tried to use 'Perl6::Export::Attrs'. # Error: Can't locate PadWalker.pm in @INC (you may need to install the PadWalker module) (@INC contains: /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs-0.000004/blib/lib /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs-0.000004/blib/arch /etc/perl /usr/local/lib64/perl5/5.22.0/x86_64-linux /usr/local/lib64/perl5/5.22.0 /usr/lib64/perl5/vendor_perl/5.22.0/x86_64-linux /usr/lib64/perl5/vendor_perl/5.22.0 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl/5.20.2 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.22.0/x86_64-linux /usr/lib64/perl5/5.22.0 .) at /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs-0.000004/blib/lib/Perl6/Export/Attrs.pm line 9. # BEGIN failed--compilation aborted at /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs-0.000004/blib/lib/Perl6/Export/Attrs.pm line 9. # Compilation failed in require at t/00.load.t line 4. # BEGIN failed--compilation aborted at t/00.load.t line 4.
On 2015-10-07 09:20:23, POWERMAN wrote:
Show quoted text
> Please add PadWalker to {Makefile,Build}.PL as dependency. > > > Building and testing Perl6-Export-Attrs-0.000004 > Building Perl6-Export-Attrs > > # Failed test 'use Perl6::Export::Attrs;' > # at t/00.load.t line 4. > # Tried to use 'Perl6::Export::Attrs'. > # Error: Can't locate PadWalker.pm in @INC (you may need to > install the PadWalker module) (@INC contains: > /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs- > 0.000004/blib/lib /root/.cpanm/work/1444223795.13777/Perl6-Export- > Attrs-0.000004/blib/arch /etc/perl > /usr/local/lib64/perl5/5.22.0/x86_64-linux > /usr/local/lib64/perl5/5.22.0 > /usr/lib64/perl5/vendor_perl/5.22.0/x86_64-linux > /usr/lib64/perl5/vendor_perl/5.22.0 /usr/local/lib64/perl5 > /usr/lib64/perl5/vendor_perl/5.20.2 /usr/lib64/perl5/vendor_perl > /usr/lib64/perl5/5.22.0/x86_64-linux /usr/lib64/perl5/5.22.0 .) at > /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs- > 0.000004/blib/lib/Perl6/Export/Attrs.pm line 9. > # BEGIN failed--compilation aborted at > /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs- > 0.000004/blib/lib/Perl6/Export/Attrs.pm line 9. > # Compilation failed in require at t/00.load.t line 4. > # BEGIN failed--compilation aborted at t/00.load.t line 4.
Still missing in DCONWAY/Perl6-Export-Attrs-0.000005.tar.gz
On Tue Nov 24 13:38:25 2015, SREZIC wrote:
Show quoted text
> On 2015-10-07 09:20:23, POWERMAN wrote:
> > Please add PadWalker to {Makefile,Build}.PL as dependency. > > > > > > Building and testing Perl6-Export-Attrs-0.000004 > > Building Perl6-Export-Attrs > > > > # Failed test 'use Perl6::Export::Attrs;' > > # at t/00.load.t line 4. > > # Tried to use 'Perl6::Export::Attrs'. > > # Error: Can't locate PadWalker.pm in @INC (you may need to > > install the PadWalker module) (@INC contains: > > /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs- > > 0.000004/blib/lib /root/.cpanm/work/1444223795.13777/Perl6-Export- > > Attrs-0.000004/blib/arch /etc/perl > > /usr/local/lib64/perl5/5.22.0/x86_64-linux > > /usr/local/lib64/perl5/5.22.0 > > /usr/lib64/perl5/vendor_perl/5.22.0/x86_64-linux > > /usr/lib64/perl5/vendor_perl/5.22.0 /usr/local/lib64/perl5 > > /usr/lib64/perl5/vendor_perl/5.20.2 /usr/lib64/perl5/vendor_perl > > /usr/lib64/perl5/5.22.0/x86_64-linux /usr/lib64/perl5/5.22.0 .) at > > /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs- > > 0.000004/blib/lib/Perl6/Export/Attrs.pm line 9. > > # BEGIN failed--compilation aborted at > > /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs- > > 0.000004/blib/lib/Perl6/Export/Attrs.pm line 9. > > # Compilation failed in require at t/00.load.t line 4. > > # BEGIN failed--compilation aborted at t/00.load.t line 4.
> > Still missing in DCONWAY/Perl6-Export-Attrs-0.000005.tar.gz
Looks like it's still missing from Build.PL. If you use Makefile.PL then it'll work.
Show quoted text
> Looks like it's still missing from Build.PL. If you use Makefile.PL > then it'll work.
Unless there are backcompatibility or static-install concerns, it's best to stick with just Makefile.PL *or* Build.PL. It looks like there is no dependence on any special Module::Build features in this distribution. Also, if dynamic_config was set to false in metadata (as it should be), then prerequisites don't need to be listed in Makefile.PL/Build.PL at all except for author-side META.json generation (which you could also do via a different mechanism).
The issue is not fixed yet. I think the PadWalker dependency should be mentioned in "build" targets of meta files. Building Perl6-Export-Attrs # Failed test 'use Perl6::Export::Attrs;' # at t/00.load.t line 4. # Tried to use 'Perl6::Export::Attrs'. # Error: Can't locate PadWalker.pm in @INC (you may need to install the PadWalker module) (@INC contains: /home/nalobin/.cpanm/work/1452153044.1345/Perl6-Export-Attrs-0.000005/blib/lib /home/nalobin/.cpanm/work/1452153044.1345/Perl6-Export-Attrs-0.000005/blib/arch /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at /home/nalobin/.cpanm/work/1452153044.1345/Perl6-Export-Attrs-0.000005/blib/lib/Perl6/Export/Attrs.pm line 9. # BEGIN failed--compilation aborted at /home/nalobin/.cpanm/work/1452153044.1345/Perl6-Export-Attrs-0.000005/blib/lib/Perl6/Export/Attrs.pm line 9. # Compilation failed in require at t/00.load.t line 4. On Wed Oct 07 09:20:23 2015, POWERMAN wrote:
Show quoted text
> Please add PadWalker to {Makefile,Build}.PL as dependency. > > > Building and testing Perl6-Export-Attrs-0.000004 > Building Perl6-Export-Attrs > > # Failed test 'use Perl6::Export::Attrs;' > # at t/00.load.t line 4. > # Tried to use 'Perl6::Export::Attrs'. > # Error: Can't locate PadWalker.pm in @INC (you may need to > install the PadWalker module) (@INC contains: > /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs- > 0.000004/blib/lib /root/.cpanm/work/1444223795.13777/Perl6-Export- > Attrs-0.000004/blib/arch /etc/perl > /usr/local/lib64/perl5/5.22.0/x86_64-linux > /usr/local/lib64/perl5/5.22.0 > /usr/lib64/perl5/vendor_perl/5.22.0/x86_64-linux > /usr/lib64/perl5/vendor_perl/5.22.0 /usr/local/lib64/perl5 > /usr/lib64/perl5/vendor_perl/5.20.2 /usr/lib64/perl5/vendor_perl > /usr/lib64/perl5/5.22.0/x86_64-linux /usr/lib64/perl5/5.22.0 .) at > /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs- > 0.000004/blib/lib/Perl6/Export/Attrs.pm line 9. > # BEGIN failed--compilation aborted at > /root/.cpanm/work/1444223795.13777/Perl6-Export-Attrs- > 0.000004/blib/lib/Perl6/Export/Attrs.pm line 9. > # Compilation failed in require at t/00.load.t line 4. > # BEGIN failed--compilation aborted at t/00.load.t line 4.
On 2016-01-07 00:01:45, NALOBIN wrote:
Show quoted text
> The issue is not fixed yet. I think the PadWalker dependency should be > mentioned in "build" targets of meta files.
It's already listed as a runtime dependency, which is the proper place for it. https://metacpan.org/pod/CPAN::Meta::Spec#Phases
Damian: if you drop Build.PL, as well as set dynamic_config => 0 in metadata, everything will work fine. WriteMakefile( ..., META_MERGE => { 'meta-spec' => { version => 2 }, dynamic_config => 0, # resources, eg. bugtracker and repository, if you wish }, );


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.